epp_DomainStatusType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.domain.epp_DomainStatusType class

### org.openrtk.idl.epp0402.domain

# Class epp_DomainStatusType

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.domain.epp_DomainStatusType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainStatusType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of status types for domains. Used in conjunction with the epp_DomainStatus class to indicate the domain status. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/domain/epp_DomainStatusType.java,v 1.1 2003/03/21 16:35:41 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:35:41 $

See Also:
  `epp_DomainStatus`

  ## Field Summary
  `static epp_DomainStatusType` | `CLIENT_DELETE_PROHIBITED` Instance of epp_DomainStatusType representing the CLIENT_DELETE_PROHIBITED status type.
  `static epp_DomainStatusType` | `CLIENT_HOLD` Instance of epp_DomainStatusType representing the CLIENT_HOLD status type.
  `static epp_DomainStatusType` | `CLIENT_RENEW_PROHIBITED` Instance of epp_DomainStatusType representing the CLIENT_RENEW_PROHIBITED status type.
  `static epp_DomainStatusType` | `CLIENT_TRANSFER_PROHIBITED` Instance of epp_DomainStatusType representing the CLIENT_TRANSFER_PROHIBITED status type.
  `static epp_DomainStatusType` | `CLIENT_UPDATE_PROHIBITED` Instance of epp_DomainStatusType representing the CLIENT_UPDATE_PROHIBITED status type.
  `static epp_DomainStatusType` | `INACTIVE` Instance of epp_DomainStatusType representing the INACTIVE status type.
  `static epp_DomainStatusType` | `OK` Instance of epp_DomainStatusType representing the OK status type.
  `static epp_DomainStatusType` | `PENDING_DELETE` Instance of epp_DomainStatusType representing the PENDING_DELETE status type.
  `static epp_DomainStatusType` | `PENDING_TRANSFER` Instance of epp_DomainStatusType representing the PENDING_TRANSFER status type.
  `static epp_DomainStatusType` | `PENDING_VERIFICATION` Instance of epp_DomainStatusType representing the PENDING_VERIFICATION status type.
  `static epp_DomainStatusType` | `SERVER_DELETE_PROHIBITED` Instance of epp_DomainStatusType representing the SERVER_DELETE_PROHIBITED status type.
  `static epp_DomainStatusType` | `SERVER_HOLD` Instance of epp_DomainStatusType representing the SERVER_HOLD status type.
  `static epp_DomainStatusType` | `SERVER_RENEW_PROHIBITED` Instance of epp_DomainStatusType representing the SERVER_RENEW_PROHIBITED status type.
  `static epp_DomainStatusType` | `SERVER_TRANSFER_PROHIBITED` Instance of epp_DomainStatusType representing the SERVER_TRANSFER_PROHIBITED status type.
  `static epp_DomainStatusType` | `SERVER_UPDATE_PROHIBITED` Instance of epp_DomainStatusType representing the SERVER_UPDATE_PROHIBITED status type.
  `static int` | `_CLIENT_DELETE_PROHIBITED` Integer value representing the CLIENT_DELETE_PROHIBITED status type.
  `static int` | `_CLIENT_HOLD` Integer value representing the CLIENT_HOLD status type.
  `static int` | `_CLIENT_RENEW_PROHIBITED` Integer value representing the CLIENT_RENEW_PROHIBITED status type.
  `static int` | `_CLIENT_TRANSFER_PROHIBITED` Integer value representing the CLIENT_TRANSFER_PROHIBITED status type.
  `static int` | `_CLIENT_UPDATE_PROHIBITED` Integer value representing the CLIENT_UPDATE_PROHIBITED status type.
  `static int` | `_INACTIVE` Integer value representing the INACTIVE status type.
  `static int` | `_OK` Integer value representing the OK status type.
  `static int` | `_PENDING_DELETE` Integer value representing the PENDING_DELETE status type.
  `static int` | `_PENDING_TRANSFER` Integer value representing the PENDING_TRANSFER status type.
  `static int` | `_PENDING_VERIFICATION` Integer value representing the PENDING_VERIFICATION status type.
  `static int` | `_SERVER_DELETE_PROHIBITED` Integer value representing the SERVER_DELETE_PROHIBITED status type.
  `static int` | `_SERVER_HOLD` Integer value representing the SERVER_HOLD status type.
  `static int` | `_SERVER_RENEW_PROHIBITED` Integer value representing the SERVER_RENEW_PROHIBITED status type.
  `static int` | `_SERVER_TRANSFER_PROHIBITED` Integer value representing the SERVER_TRANSFER_PROHIBITED status type.
  `static int` | `_SERVER_UPDATE_PROHIBITED` Integer value representing the SERVER_UPDATE_PROHIBITED status type.

  ## Constructor Summary
  `epp_DomainStatusType(int value)` For internal use only.

  ## Method Summary
  `static epp_DomainStatusType` | `from_int(int value)` Transform an integer into a epp_DomainStatusType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the type of status.

## Field Details

### CLIENT_DELETE_PROHIBITED

    public static final epp_DomainStatusType CLIENT_DELETE_PROHIBITED

> Instance of epp_DomainStatusType representing the CLIENT_DELETE_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### CLIENT_HOLD

    public static final epp_DomainStatusType CLIENT_HOLD

> Instance of epp_DomainStatusType representing the CLIENT_HOLD status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### CLIENT_RENEW_PROHIBITED

    public static final epp_DomainStatusType CLIENT_RENEW_PROHIBITED

> Instance of epp_DomainStatusType representing the CLIENT_RENEW_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### CLIENT_TRANSFER_PROHIBITED

    public static final epp_DomainStatusType CLIENT_TRANSFER_PROHIBITED

> Instance of epp_DomainStatusType representing the CLIENT_TRANSFER_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### CLIENT_UPDATE_PROHIBITED

    public static final epp_DomainStatusType CLIENT_UPDATE_PROHIBITED

> Instance of epp_DomainStatusType representing the CLIENT_UPDATE_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### INACTIVE

    public static final epp_DomainStatusType INACTIVE

> Instance of epp_DomainStatusType representing the INACTIVE status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### OK

    public static final epp_DomainStatusType OK

> Instance of epp_DomainStatusType representing the OK status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### PENDING_DELETE

    public static final epp_DomainStatusType PENDING_DELETE

> Instance of epp_DomainStatusType representing the PENDING_DELETE status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### PENDING_TRANSFER

    public static final epp_DomainStatusType PENDING_TRANSFER

> Instance of epp_DomainStatusType representing the PENDING_TRANSFER status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### PENDING_VERIFICATION

    public static final epp_DomainStatusType PENDING_VERIFICATION

> Instance of epp_DomainStatusType representing the PENDING_VERIFICATION status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### SERVER_DELETE_PROHIBITED

    public static final epp_DomainStatusType SERVER_DELETE_PROHIBITED

> Instance of epp_DomainStatusType representing the SERVER_DELETE_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### SERVER_HOLD

    public static final epp_DomainStatusType SERVER_HOLD

> Instance of epp_DomainStatusType representing the SERVER_HOLD status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### SERVER_RENEW_PROHIBITED

    public static final epp_DomainStatusType SERVER_RENEW_PROHIBITED

> Instance of epp_DomainStatusType representing the SERVER_RENEW_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### SERVER_TRANSFER_PROHIBITED

    public static final epp_DomainStatusType SERVER_TRANSFER_PROHIBITED

> Instance of epp_DomainStatusType representing the SERVER_TRANSFER_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### SERVER_UPDATE_PROHIBITED

    public static final epp_DomainStatusType SERVER_UPDATE_PROHIBITED

> Instance of epp_DomainStatusType representing the SERVER_UPDATE_PROHIBITED status type. Used directly with epp_DomainStatus.
> See Also:
>   `epp_DomainStatus`

### _CLIENT_DELETE_PROHIBITED

    public static final int _CLIENT_DELETE_PROHIBITED

> Integer value representing the CLIENT_DELETE_PROHIBITED status type.
> Field Value:
>   0
> See Also:
>   `CLIENT_DELETE_PROHIBITED`

### _CLIENT_HOLD

    public static final int _CLIENT_HOLD

> Integer value representing the CLIENT_HOLD status type.
> Field Value:
>   1
> See Also:
>   `CLIENT_HOLD`

### _CLIENT_RENEW_PROHIBITED

    public static final int _CLIENT_RENEW_PROHIBITED

> Integer value representing the CLIENT_RENEW_PROHIBITED status type.
> Field Value:
>   2
> See Also:
>   `CLIENT_RENEW_PROHIBITED`

### _CLIENT_TRANSFER_PROHIBITED

    public static final int _CLIENT_TRANSFER_PROHIBITED

> Integer value representing the CLIENT_TRANSFER_PROHIBITED status type.
> Field Value:
>   3
> See Also:
>   `CLIENT_TRANSFER_PROHIBITED`

### _CLIENT_UPDATE_PROHIBITED

    public static final int _CLIENT_UPDATE_PROHIBITED

> Integer value representing the CLIENT_UPDATE_PROHIBITED status type.
> Field Value:
>   4
> See Also:
>   `CLIENT_UPDATE_PROHIBITED`

### _INACTIVE

    public static final int _INACTIVE

> Integer value representing the INACTIVE status type.
> Field Value:
>   5
> See Also:
>   `INACTIVE`

### _OK

    public static final int _OK

> Integer value representing the OK status type.
> Field Value:
>   6
> See Also:
>   `OK`

### _PENDING_DELETE

    public static final int _PENDING_DELETE

> Integer value representing the PENDING_DELETE status type.
> Field Value:
>   7
> See Also:
>   `PENDING_DELETE`

### _PENDING_TRANSFER

    public static final int _PENDING_TRANSFER

> Integer value representing the PENDING_TRANSFER status type.
> Field Value:
>   8
> See Also:
>   `PENDING_TRANSFER`

### _PENDING_VERIFICATION

    public static final int _PENDING_VERIFICATION

> Integer value representing the PENDING_VERIFICATION status type.
> Field Value:
>   9
> See Also:
>   `PENDING_VERIFICATION`

### _SERVER_DELETE_PROHIBITED

    public static final int _SERVER_DELETE_PROHIBITED

> Integer value representing the SERVER_DELETE_PROHIBITED status type.
> Field Value:
>   10
> See Also:
>   `SERVER_DELETE_PROHIBITED`

### _SERVER_HOLD

    public static final int _SERVER_HOLD

> Integer value representing the SERVER_HOLD status type.
> Field Value:
>   11
> See Also:
>   `SERVER_HOLD`

### _SERVER_RENEW_PROHIBITED

    public static final int _SERVER_RENEW_PROHIBITED

> Integer value representing the SERVER_RENEW_PROHIBITED status type.
> Field Value:
>   12
> See Also:
>   `SERVER_RENEW_PROHIBITED`

### _SERVER_TRANSFER_PROHIBITED

    public static final int _SERVER_TRANSFER_PROHIBITED

> Integer value representing the SERVER_TRANSFER_PROHIBITED status type.
> Field Value:
>   13
> See Also:
>   `SERVER_TRANSFER_PROHIBITED`

### _SERVER_UPDATE_PROHIBITED

    public static final int _SERVER_UPDATE_PROHIBITED

> Integer value representing the SERVER_UPDATE_PROHIBITED status type.
> Field Value:
>   14
> See Also:
>   `SERVER_UPDATE_PROHIBITED`

## Constructor Details

### epp_DomainStatusType

    protected epp_DomainStatusType(int value)

> For internal use only. Initializes the internal status type array.
> Parameters:
>   `value` - The integer value for the desired status type

## Method Details

### from_int

    public static epp_DomainStatusType from_int(int value)

> Transform an integer into a epp_DomainStatusType constant. Given the integer representation of the status type, returns one of the status type constants.
> Parameters:
>   `value` - The integer value for the desired status type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the type of status.
> Returns:
>   The integer value of this domain status type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS